%global modulename define-properties

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-define-properties
Version:        1.1.3
Release:        1%{?dist}
Summary:        Define multiple non-enumerable properties at once. Uses `Object.defineProperty` when available; falls back to standard assignment in older engines.

License:        MIT
URL:            https://github.com/ljharb/define-properties#readme
Source0:        https://registry.npmjs.org/define-properties/-/define-properties-1.1.3.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(object-keys) >= 1.0.12 with npmlib(object-keys) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Define multiple non-enumerable properties at once. Uses `Object.defineProperty` when available; falls back to standard assignment in older engines.

%package 1.1.3
Summary:        Define multiple non-enumerable properties at once. Uses `Object.defineProperty` when available; falls back to standard assignment in older engines.


%description 1.1.3
Define multiple non-enumerable properties at once. Uses `Object.defineProperty` when available; falls back to standard assignment in older engines.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .editorconfig %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jscs.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.1.3
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Tue Nov 20 2018 npm2srpm <dshea@redhat.com> - 1.1.3-1
- Package automatically generated by npm2srpm
